Commit e31910e6 authored by Florent Jaillet's avatar Florent Jaillet

Using Ubuntu 18.04 as reference system for tests, fixing minimal requirements accordingly

parent 21cce32a
Pipeline #462 passed with stage
in 56 seconds
# run the test suite
tests_old_ubuntu:
image: registry.gitlab.lis-lab.fr:5005/skmad-suite/madarrays/ubuntu:16.04
tags:
- docker
script:
- pip3 install . --no-deps
- pytest
tests_new_ubuntu:
image: registry.gitlab.lis-lab.fr:5005/skmad-suite/madarrays/ubuntu:rolling
tests:
image: registry.gitlab.lis-lab.fr:5005/skmad-suite/madarrays/ubuntu:18.04
tags:
- docker
script:
......@@ -20,7 +12,7 @@ tests_new_ubuntu:
# generate the documentation
pages:
image: registry.gitlab.lis-lab.fr:5005/skmad-suite/madarrays/ubuntu:rolling
image: registry.gitlab.lis-lab.fr:5005/skmad-suite/madarrays/ubuntu:18.04
tags:
- docker
only:
......
......@@ -4,13 +4,13 @@ Installation
``madarrays`` requires the following packages:
* `python >= 3.5 <https://wiki.python.org/moin/BeginnersGuide/Download>`_
* `numpy >= 1.11 <http://www.numpy.org>`_
* `scipy >= 0.17 <https://www.scipy.org/scipylib/index.html>`_
* `matplotlib >= 1.5 <http://matplotlib.org/>`_
* `numpy >= 1.13 <http://www.numpy.org>`_
* `scipy >= 0.19 <https://www.scipy.org/scipylib/index.html>`_
* `matplotlib >= 2.1 <http://matplotlib.org/>`_
* `simpleaudio >= 1.0 <https://github.com/hamiltron/py-simple-audio>`_
* `resampy >= 0.2 <https://github.com/bmcfee/resampy>`_
Make sure you Python environment is properly configured. It is recommended to
Make sure your Python environment is properly configured. It is recommended to
install ``madarrays`` in a virtual environment.
Release version
......
FROM ubuntu:16.04
MAINTAINER Florent Jaillet
WORKDIR /
RUN apt-get update && \
apt-get install -y --no-install-recommends \
python3 \
python3-pip \
python3-wheel \
python3-setuptools \
python3-numpy\
python3-scipy \
python3-matplotlib \
ipython3 \
python3-six \
python3-dev \
gcc \
libasound2-dev \
&& \
apt-get clean
RUN mkdir -p /root/.config/matplotlib && \
echo "backend: pdf" > /root/.config/matplotlib/matplotlibrc
RUN pip3 install llvmlite numba resampy simpleaudio --no-deps
RUN pip3 install pytest pytest-cov pytest-randomly
FROM ubuntu:rolling
FROM ubuntu:18.04
MAINTAINER Florent Jaillet
WORKDIR /
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get update && \
apt-get upgrade -y && \
apt-get install -y --no-install-recommends \
python3 \
python3-pip \
......@@ -10,6 +12,7 @@ RUN apt-get update && \
python3-numpy\
python3-scipy \
python3-matplotlib \
python3-ltfatpy \
ipython3 \
python3-six \
python3-numba \
......
--index-url https://pypi.python.org/simple/
numpy>=1.11
scipy>=0.17
matplotlib>=1.5
numpy>=1.13
scipy>=0.19
matplotlib>=2.1
simpleaudio>=1.0
resampy>=0.2
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment